/*
 * crc32.h
 *
 *  Created on: 20.12.2014
 *      Author: igor
 */

#ifndef CRC32_H_
#define CRC32_H_

#include <string>

unsigned int crc32(const char *buf, size_t size);
unsigned int crc32m(const char *buf, size_t size, unsigned int crc);
unsigned int crc32s(std::string str);

#endif /* CRC32_H_ */
